%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname stdcompat

Name:           ocaml-%{oname}
Version:        20.1
Release:        %mkrel 1
Summary:        Compatibility module for OCaml standard library

Group:          Development/OCaml
License:        BSD
URL:            https://github.com/ocamllibs/stdcompat
VCS:            git:%{url}.git
Source:         %{url}/archive/%{version}/stdcompat-%{version}.tar.gz
# Fix detection of OCaml tools
# https://github.com/thierry-martinez/stdcompat/pull/31
Patch:          %{name}-configure.patch
# Add support for OCaml 5.3
# https://github.com/thierry-martinez/stdcompat/pull/35
Patch:          %{name}-ocaml5.3.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-rpm-macros

# Needed only until the configure patch is merged upstream
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Compatibility module for OCaml standard library allowing programs to use some
recent additions to the OCaml standard library while preserving the ability to
be compiled on former versions of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n stdcompat-%{version} -p1

# Regenerate configure after Patch0 and Patch1
autoreconf -fi .

# Generate debuginfo
sed -i 's/-nolabels/-g &/' Makefile.in

%build
%configure --libdir=%{ocamldir}

# Parallel make does NOT work; there seem to be missing dependencies
make all

%install
%make_install

# We do not want the ml files
find %{buildroot}%{ocamldir} -name \*.ml -delete

# Install the mli files
cp -p *.mli %{buildroot}%{ocamldir}/stdcompat

# Install the opam file
cp -p stdcompat.opam %{buildroot}%{ocamldir}/stdcompat/opam

# Remove spurious executable bits
chmod a-x %{buildroot}%{ocamldir}/stdcompat/{META,*.{a,cma,cmi,cmt,h}}
%ifarch %{ocaml_native_compiler}
chmod a-x %{buildroot}%{ocamldir}/stdcompat/*.{cmx,cmxa}
%endif

%ocaml_files

%ifarch %{ocaml_native_compiler}
# The tests assume that ocamlopt is available
%check
LD_LIBRARY_PATH=$PWD make test
%endif

%files -f .ofiles
%doc AUTHORS CHANGES.md README.md
%license COPYING

%files devel -f .ofiles-devel


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 20.1-1.mga10
+ Revision: 2192957
- new version: 20.1

* Sat Oct 08 2022 pterjan <pterjan> 19-1.mga9
+ Revision: 1895544
- Update to 19

* Thu May 19 2022 pterjan <pterjan> 18-2.mga9
+ Revision: 1859111
- Rebuild for OCaml 4.14

* Mon Apr 25 2022 pterjan <pterjan> 18-1.mga9
+ Revision: 1853603
- Update to 18

* Wed Mar 30 2022 umeabot <umeabot> 17-2.mga9
+ Revision: 1833675
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 17-1.mga9
+ Revision: 1750947
- 17

* Wed Oct 13 2021 tv <tv> 15-2.mga9
+ Revision: 1750946
- 1.12 + Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 15-1.mga9
+ Revision: 1697721
- 15
- rebuild for ocaml-4.2-12

* Mon Jan 11 2021 pterjan <pterjan> 14-1.mga8
+ Revision: 1671191
- imported package ocaml-stdcompat

